Subject: Re: CVS commit: pkgsrc
To: D'Arcy J.M. Cain <>
From: Todd Vierling <>
List: tech-pkg
Date: 02/26/2000 19:35:58
On Sat, 26 Feb 2000, D'Arcy J.M. Cain wrote:

: > This is not necc. true.  Many arches in 1.3 had compilers that would choke on
: > only -R.. which is why we use -Wl,-R.
: *sigh*
: OK, do we accept that people building from sources probably have a more
: recent version of the system or do we attack the issue again?

-Wl,-R is the official standard for pkgsrc, and currently, pkgsrc officially
supports 1.3.x (most of which, on ELF, had compilers not capable of -R).

So, we go with that, until 1.3.x compatibility is dropped.  It's not a
particularly difficult change in most pkgs (and libtool eliminates the need
to know when... <g>).

-- Todd Vierling (